<?php

namespace Drupal\webform_statistics\Plugin\views\sort;

use Drupal\views\Plugin\views\sort\Standard;

/**
 * Sort by count of submissions.
 *
 * @ViewsSort("webform_submission_count")
 */
class WebformSubmissionCount extends Standard {

  /**
   * {@inheritdoc}
   */
  public function query() {
    $this->ensureMyTable();
    $this->query->addOrderBy(NULL, '(COUNT(webform_submissions.webform_id))', $this->options['order'], "webform_submission_count");
  }

}
